"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require('path');
class Tatara {
    constructor(platform) {
        this.platform = platform;
    }
    path() {
        let bin;
        if (this.platform === 'win32') {
            bin = path.join(__dirname, '..', 'bin', `tatara-windows.exe`);
        }
        else if (this.platform === 'darwin') {
            bin = path.join(__dirname, '..', 'bin', `tatara-macos`);
        }
        else if (this.platform === 'linux') {
            bin = path.join(__dirname, '..', 'bin', `tatara-linux`);
        }
        else {
            throw new Error(`Unsupported platform: ${this.platform}`);
        }
        return bin;
    }
}
exports.Tatara = Tatara;
